summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2018-09-10 16:15:06 +0200
committerErich Eckner <git@eckner.net>2018-09-10 16:15:06 +0200
commitb711728c0b4953b5cad878b7914f4af69b44c4cb (patch)
treee6ba7148e469f3bb3d5286282722a820bd380f74 /bin
parent0eae9c3f895ddf187e3807aa76ae3400379a2ad1 (diff)
downloadbuilder-b711728c0b4953b5cad878b7914f4af69b44c4cb.tar.xz
bin/build-packages: show list of known straws in --help message
Diffstat (limited to 'bin')
-rwxr-xr-xbin/build-packages14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/build-packages b/bin/build-packages
index 466779e..a2c98cc 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -43,6 +43,20 @@ usage() {
>&2 echo ' Cannot be combined with -l.'
>&2 echo ' -x: If package build fails, do not request new assignment(s).'
>&2 echo ' Cannot be combined with -l.'
+ >&2 echo ''
+ >&2 echo 'known straws (separated by and enclosed in ":", sets of straws separated by " "):'
+ >&2 echo ' :clean_chroot:'
+ >&2 echo ' clean the chroot before building'
+ >&2 echo ' :mirrored_source:'
+ >&2 echo ' compile from source tarbal from sources.archlinux.org if possible'
+ >&2 echo ' :mirrored_source_by_hash:'
+ >&2 echo ' download sources from sources.archlinux32.org by hash if possible'
+ >&2 echo ' :without_check:'
+ >&2 echo ' run makepkg with "--no-check"'
+ >&2 echo ' :with_build_support:'
+ >&2 echo ' allow using [build-support]'
+ >&2 echo ' :with_/dev/fuse:'
+ >&2 echo ' mount /dev/fuse into the chroot'
[ -z "$1" ] && exit 1 || exit "$1"
}